osl::record::MiniBoardChar50 Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | Friends | List of all members
osl::record::MiniBoardChar50 Class Reference

50 byte の盤面. More...

`#include <miniBoardChar50.h>`

Collaboration diagram for osl::record::MiniBoardChar50:
[legend]

## Public Member Functions
| MiniBoardChar50 ()
| MiniBoardChar50 (const SimpleState &)
| MiniBoardChar50 (const std::string &src)
const std::string | toString () const
const SimpleState | toSimpleState (Player turn=BLACK) const

## Private Attributes
CArray< uint8_t, 50 > | data

## Friends
bool | operator< (const MiniBoardChar50 &, const MiniBoardChar50 &)
bool | operator== (const MiniBoardChar50 &, const MiniBoardChar50 &)

## Detailed Description

50 byte の盤面.

手番なし. (常に先手番と解釈). MiniBoardと比較するとbyte access重視の設計.

Definition at line 19 of file miniBoardChar50.h.

## Constructor & Destructor Documentation

osl::record::MiniBoardChar50::MiniBoardChar50 | ( | ) |  |

Definition at line 13 of file miniBoardChar50.cc.

osl::record::MiniBoardChar50::MiniBoardChar50 | ( | const SimpleState & | org) |  |
| explicit

Definition at line 19 of file miniBoardChar50.cc.

References osl::BLACK, osl::PtypeTable::getIndexMin(), osl::Piece::isPromoted(), osl::Piece::owner(), osl::playerToIndex(), osl::Piece::ptype(), osl::Ptype_Table, osl::Piece::square(), and osl::unpromote().

osl::record::MiniBoardChar50::MiniBoardChar50 | ( | const std::string & | src) |  |
| explicit

Definition at line 40 of file miniBoardChar50.cc.

## Member Function Documentation

const osl::SimpleState osl::record::MiniBoardChar50::toSimpleState | ( | Player | turn = `BLACK`) |  | const

Definition at line 48 of file miniBoardChar50.cc.

References osl::BLACK, osl::PieceTable::getPtypeOf(), osl::indexToPlayer(), osl::Piece_Table, and osl::promote().

const std::string osl::record::MiniBoardChar50::toString | ( | ) |  | const

Definition at line 72 of file miniBoardChar50.cc.

## Friends And Related Function Documentation

bool operator< | ( | const MiniBoardChar50 & | ,
|  | const MiniBoardChar50 & |
| ) |  |
| friend

bool operator== | ( | const MiniBoardChar50 & | ,
|  | const MiniBoardChar50 & |
| ) |  |
| friend

## Member Data Documentation

CArray<uint8_t,50> osl::record::MiniBoardChar50::data
| private

- 40 byte: Square (各1byte)
- 5 byte: owner (各1bit)
- 5 byte: promote (各1bit)

Definition at line 33 of file miniBoardChar50.h.

Referenced by osl::record::operator<(), and osl::record::operator==().

The documentation for this class was generated from the following files:

- miniBoardChar50.h
- miniBoardChar50.cc